Bug 190230 - Folder-pane columns are not preserved after kmail restart
Summary: Folder-pane columns are not preserved after kmail restart
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: new folder tree (show other bugs)
Version: 1.11.90
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-21 09:35 UTC by Oren Held
Modified: 2009-05-13 15:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oren Held 2009-04-21 09:35:56 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Debian testing/unstable Packages

Steps to reproduce:
1. Open kmail
2. Right click on the column header of the Folder-pane
3. Add "Total" field
4. Restart kmail : "Total field" is gone
Comment 1 Jaime Torres 2009-04-21 10:03:29 UTC
Confirmed in 1.11.90 (kde 4.2.90).
Comment 2 Olivier Trichet 2009-05-12 23:17:33 UTC
SVN commit 967209 by otrichet:

Fix the restoring of the state of the columns (visibility and width)

- Do not dump binary data into KConfig

BUG: 190230
BUG: 190838

 M  +2 -1      treewidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=967209
Comment 3 Thomas McGuire 2009-05-13 15:15:37 UTC
SVN commit 967442 by tmcguire:

Backport r967209 by otrichet from trunk to the 4.2 branch:

Fix the restoring of the state of the columns (visibility and width)

- Do not dump binary data into KConfig

CCBUG: 190230
CCBUG: 190838


 M  +2 -1      treewidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=967442